#include <iostream>
#include <cstdlib>

using namespace std;

int brojCifara(long long broj)
{
    int i=0;
    long long deset=1;
    for(;broj/deset!=0;i++) deset*=10;
    return i;
}

long long brojDeset(long long broj)
{
    int i=0;
    long long deset=1;
    for(;broj/deset!=0;i++) deset*=10;
    return deset;
}

void zameni(long long broj1, long long broj2)
{
    long long broj = broj1;
    broj1 = broj2;
    broj2 = broj;
}

void uporedi(long long br1, long long br2)
{
    long long desetBroj1 = brojDeset(br1) / 10;
    long long desetBroj2 = brojDeset(br2) / 10;

    bool tf = false;
    int cifreBroja1 = brojCifara(br1);
    int cifreBroja2 = brojCifara(br2);
    for(int i = 0; i <= min(cifreBroja1,cifreBroja2) && !tf; i++)
    {
        if(br1/desetBroj1 < br2/desetBroj2)
        {
            tf = true;
            zameni(br1, br2);
        }
        else if(br1/desetBroj1 > br2/desetBroj2)
        {
            tf = true;
        }
    }
}

int main()
{
    long long A,B,C;
    cin>>A>>B>>C;

    uporedi(A,B);
    uporedi(B,C);
    uporedi(A,B);

    cout<<A<<B<<C;
}